## org.eclipse.jst.jsf.facesconfig.emf
Interface OrderingType

All Known Implementing Classes:
  OrderingTypeImpl

    public interface OrderingType

A representation of the model object 'Ordering Type'.

The following features are supported:

- `Before`
- `After`

See Also:
  `FacesConfigPackage.getOrderingType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`OrderingOrderingType` `getAfter()` Returns the value of the 'After' containment reference
`OrderingOrderingType` `getBefore()` Returns the value of the 'Before' containment reference
`void` `setAfter(OrderingOrderingType value)` Sets the value of the '`After`' containment reference
`void` `setBefore(OrderingOrderingType value)` Sets the value of the '`Before`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getBefore

    OrderingOrderingType getBefore()

  Returns the value of the 'Before' containment reference.

  If the meaning of the 'Before' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Before' containment reference.
  See Also:
    `setBefore(OrderingOrderingType)`, `FacesConfigPackage.getOrderingType_Before()`

### setBefore

    void setBefore(OrderingOrderingType value)

  Sets the value of the '`Before`' containment reference.

  Parameters:
    `value` - the new value of the 'Before' containment reference.
  See Also:
    `getBefore()`

### getAfter

    OrderingOrderingType getAfter()

  Returns the value of the 'After' containment reference.

  If the meaning of the 'After' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'After' containment reference.
  See Also:
    `setAfter(OrderingOrderingType)`, `FacesConfigPackage.getOrderingType_After()`

### setAfter

    void setAfter(OrderingOrderingType value)

  Sets the value of the '`After`' containment reference.

  Parameters:
    `value` - the new value of the 'After' containment reference.
  See Also:
    `getAfter()`